curl --request GET \
--url https://api.getprofile-ai.com/v1/profile/{id} \
--header 'Authorization: Bearer <token>'{
"profile_id": "<string>",
"profile": {
"profile_id": "<string>",
"tenant_id": "<string>",
"status": "processing",
"last_updated": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"core_info": {
"name": {
"value": "<string>",
"confidence": 123
},
"age": {
"value": 123,
"confidence": 123
},
"gender": {
"value": "<string>",
"confidence": 123
},
"location": {
"value": "<string>",
"confidence": 123
}
},
"interests": {},
"personality": {
"traits": [
{
"value": "<string>",
"confidence": 123
}
],
"mood_trends": {
"default": {
"value": "<string>",
"confidence": 123
},
"recent": {
"value": "<string>",
"confidence": 123
}
}
},
"memories": [
{
"event": "<string>",
"date": "2023-12-25",
"importance": "low",
"confidence": 123
}
],
"preferences": {
"conversation_style": {
"value": "<string>",
"confidence": 123
},
"topics_to_avoid": [
{
"value": "<string>",
"confidence": 123
}
]
},
"field_timestamps": {},
"update_log": [
{
"extracted_on": "2023-11-07T05:31:56Z",
"changes": {}
}
],
"summary": "<string>"
}
}Retrieve a raw profile data from the GetProfile API by its ID
curl --request GET \
--url https://api.getprofile-ai.com/v1/profile/{id} \
--header 'Authorization: Bearer <token>'{
"profile_id": "<string>",
"profile": {
"profile_id": "<string>",
"tenant_id": "<string>",
"status": "processing",
"last_updated": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"core_info": {
"name": {
"value": "<string>",
"confidence": 123
},
"age": {
"value": 123,
"confidence": 123
},
"gender": {
"value": "<string>",
"confidence": 123
},
"location": {
"value": "<string>",
"confidence": 123
}
},
"interests": {},
"personality": {
"traits": [
{
"value": "<string>",
"confidence": 123
}
],
"mood_trends": {
"default": {
"value": "<string>",
"confidence": 123
},
"recent": {
"value": "<string>",
"confidence": 123
}
}
},
"memories": [
{
"event": "<string>",
"date": "2023-12-25",
"importance": "low",
"confidence": 123
}
],
"preferences": {
"conversation_style": {
"value": "<string>",
"confidence": 123
},
"topics_to_avoid": [
{
"value": "<string>",
"confidence": 123
}
]
},
"field_timestamps": {},
"update_log": [
{
"extracted_on": "2023-11-07T05:31:56Z",
"changes": {}
}
],
"summary": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier of the profile
Profile response
The unique identifier of the profile
Show child attributes
The unique identifier of the profile
Unique identifier for the tenant that owns this profile
The current status of the profile
processing, ready The last time the profile was updated
The date the profile was created
Core information about the profile
Show child attributes
Personality traits and mood trends
Show child attributes
Show child attributes
Profile-specific preferences
Show child attributes
A natural language summary of the profile